/**
 * @(#) FileReadingException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.integration.exception;

import com.at2o.atam.service.exception.FunctionalException;

/**
 * Exception levé lorsqu'un fichier d'entrée ne peut être lu (non trouvé, non accessible en lecture).
 * 
 * @author JF LARTAUD
 */
public class InputFileReadingException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -757256038868208958L;
	
	/**
	 * 
	 */
	public InputFileReadingException() {
		super();
	}
	
	public InputFileReadingException(String message, Exception exception) {
		super(message, exception);
	}
	
	public InputFileReadingException(String message) {
		this(message, null);
	}
	
}
