/**
 * @(#) InvalidHostException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.licence.exception;

/**
 * Exception sur le contrôle des paramètres de l'host pour la licences
 * 
 * @author JF LARTAUD
 */
public class InvalidHostException extends Exception {
	
	private static final long serialVersionUID = -3312224651552285480L;
	
	/**
	 * Hostname du client
	 */
	private String hostName;
	
	/**
	 * Hostname enregistré dans la licence
	 */
	private String licenceHostName;
	
	/**
	 * 
	 */
	public InvalidHostException() {
		super();
	}
	
	/**
	 * @param hostName
	 * @param licenceHostName
	 */
	public InvalidHostException(String hostName, String licenceHostName) {
		super();
		this.hostName = hostName;
		this.licenceHostName = licenceHostName;
	}
	
	/**
	 * @return the hostName
	 */
	public String getHostName() {
		return hostName;
	}
	
	/**
	 * @return the licenceHostName
	 */
	public String getLicenceHostName() {
		return licenceHostName;
	}
	
}
