/**
 * @(#) NumberOfReferenceListsExceedException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.licence.exception;

/**
 * Exception sur le contrôle des listes de références
 * 
 * @author JF LARTAUD
 */

public class NumberOfReferencesListsExceedException extends Exception {
	
	private long numberOfReferencesLists;
	private long numberOfReferencesListsAuthorized;
	
	/**
	 * 
	 */
	public NumberOfReferencesListsExceedException() {
		super();
	}
	
	/**
	 * @param numberOfReferencesLists
	 * @param numberOfReferencesListsAuthorized
	 */
	public NumberOfReferencesListsExceedException(long numberOfReferencesLists, long numberOfReferencesListsAuthorized) {
		super();
		this.numberOfReferencesLists = numberOfReferencesLists;
		this.numberOfReferencesListsAuthorized = numberOfReferencesListsAuthorized;
	}

	/**
	 * @return the numberOfReferencesLists
	 */
	public long getNumberOfReferencesLists() {
		return numberOfReferencesLists;
	}

	/**
	 * @return the numberOfReferencesListsAuthorized
	 */
	public long getNumberOfReferencesListsAuthorized() {
		return numberOfReferencesListsAuthorized;
	}
	

}
